class EmailNotifier < ActionMailer::Base
  def signup_notification( user )
    recipients EMAIL_ADMIN
    from       EMAIL_ADMIN
    subject    "#{ EMAIL_PREFIX }A new user has signed up"
    body       :user        => user,
               :account_url => url_for( {
                 :protocol   => 'https',
                 :host       => EMAIL_HOST,
                 :controller => 'users',
                 :action     => 'edit',
                 :id         => user.id
               } )
  end

  def admin_update_notification( user )
    recipients "#{ user.name } <#{ user.email }>"
    from       EMAIL_ADMIN
    subject    "#{ EMAIL_PREFIX }Your account has been configured"
    body       :user => user
  end
end
